Loading...
Searching...
No Matches
Dune::RefinementIntervals Class Reference
Refinement

Holds the number of refined intervals per axis needed for virtual and static refinement. More...

## Public Member Functions

| RefinementIntervals (int i)
int | intervals () const

## Detailed Description

Holds the number of refined intervals per axis needed for virtual and static refinement.

To create an object of this class, call either refinementIntervals() or refinementLevels(). The first on will just pass its input to the constructor, the latter one will pass 2^{input} to the constructor to be consistent with the meaning of levels in a grid context.

## Constructor & Destructor Documentation

## RefinementIntervals()

Dune::RefinementIntervals::RefinementIntervals | ( | int | i | ) |

inline explicit

## Member Function Documentation

## intervals()

int Dune::RefinementIntervals::intervals | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- base.cc